#!/usr/bin/env python3

f = open("spi.dat", "w", newline='\n')

first=True
memsize=4096 + 1024
bytesPerLine=16

for i in range(int(memsize/bytesPerLine)):
    if not first:
        f.write('\n')

    address = (i*bytesPerLine).to_bytes(3, byteorder='big').hex()
    value = (i*100).to_bytes(bytesPerLine, byteorder='big').hex(' ')
    f.write( address + ':  ' + value)
    first=False


f.close()